### Class

# Gcr Pkcs11Certificate

#### Description [src]

    class Gcr.Pkcs11Certificate : Gck.Object
      implements Gcr.Certificate {
      /* No available fields */
    }

A certificate loaded from a PKCS#11 storage. It is also a valid `GckObject` and can be used as such.

Use `gcr_pkcs11_certificate_lookup_issuer()` to lookup the issuer of a given certificate in the PKCS#11 store.

Various common PKCS#11 certificate attributes are automatically loaded and are available via `gcr_pkcs11_certificate_get_attributes()`.

#### Ancestors

- GckObject
- GObject

#### Implements

- GcrCertificate

#### Functions

###### gcr_pkcs11_certificate_lookup_issuer

Lookup a the issuer of a `certificate` in the PKCS#11 storage. The lookup is done using the issuer DN of the certificate. No certificate chain verification is done. Use a crypto library to make trust decisions.

###### gcr_pkcs11_certificate_lookup_issuer_async

Lookup a the issuer of a `certificate` in the PKCS#11 storage. The lookup is done using the issuer DN of the certificate. No certificate chain verification is done. Use a crypto library to make trust decisions.

###### gcr_pkcs11_certificate_lookup_issuer_finish

Finishes an asynchronous operation started by `gcr_pkcs11_certificate_lookup_issuer_async()`.

###### gcr_pkcs11_certificate_new_from_uri

Lookup a certificate in the PKCS#11 storage by the given URI.

###### gcr_pkcs11_certificate_new_from_uri_async

Lookup a certificate in the PKCS#11 storage by the given URI.

###### gcr_pkcs11_certificate_new_from_uri_finish

Finishes an asynchronous operation started by gcr_pkcs11_certificate_new_from_uri_async().

#### Instance methods

###### gcr_pkcs11_certificate_get_attributes

Access the automatically loaded attributes for this certificate.

##### Methods inherited from GckObject (28)

Please see GckObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GcrCertificate (25)

Please see GcrCertificate for a full list of methods.

#### Properties

###### Gcr.Pkcs11Certificate:attributes

Automatically loaded attributes for this certificate.

##### Properties inherited from GckObject (3)

###### Gck.Object:handle

The raw PKCS11 handle for this object.

###### Gck.Object:module

The GckModule that this object belongs to.

###### Gck.Object:session

The PKCS11 session to make calls on when this object needs to perform operations on itself.

##### Properties inherited from GcrCertificate (5)

###### GcrCertificate:description

A readable description for this certificate.

###### GcrCertificate:expiry-date

The expiry date of the certificate.

###### GcrCertificate:issuer-name

Common name part of the certificate issuer.

###### GcrCertificate:label

A readable label for this certificate.

###### GcrCertificate:subject-name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrPkcs11CertificateClass {
      /* no available fields */
    }

No description available.